package com.srs.stureg.domain;

import java.util.List;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 网上缴费情况对象 srs_pay
 * 
 * @author 邓
 * @date 2023-05-20
 */
public class PayMoney extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 费用名称 */
    @Excel(name = "费用名称")
    private String costName;

    /** 应收金额 */
    @Excel(name = "应收金额")
    private Long shouIdPayAmount;

    /** 已缴金额 */
    @Excel(name = "已缴金额")
    private Long amountPaid;

    /** 缓缴金额 */
    @Excel(name = "缓缴金额")
    private Long deferAmount;

    /** 免缴金额 */
    @Excel(name = "免缴金额")
    private Long fromAmount;

    /** 完成情况(0：未完成缴费，1：完成缴费) */
    @Excel(name = "完成情况(0：未完成缴费，1：完成缴费)")
    private Integer completion;

    /** 状态（0正常 */
    @Excel(name = "状态", readConverterExp = "状态（0正常")
    private String status;

    /** 注册信息
信息 */
    private List<SrsRegInfo> srsRegInfoList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCostName(String costName) 
    {
        this.costName = costName;
    }

    public String getCostName() 
    {
        return costName;
    }
    public void setShouIdPayAmount(Long shouIdPayAmount) 
    {
        this.shouIdPayAmount = shouIdPayAmount;
    }

    public Long getShouIdPayAmount() 
    {
        return shouIdPayAmount;
    }
    public void setAmountPaid(Long amountPaid) 
    {
        this.amountPaid = amountPaid;
    }

    public Long getAmountPaid() 
    {
        return amountPaid;
    }
    public void setDeferAmount(Long deferAmount) 
    {
        this.deferAmount = deferAmount;
    }

    public Long getDeferAmount() 
    {
        return deferAmount;
    }
    public void setFromAmount(Long fromAmount) 
    {
        this.fromAmount = fromAmount;
    }

    public Long getFromAmount() 
    {
        return fromAmount;
    }
    public void setCompletion(Integer completion) 
    {
        this.completion = completion;
    }

    public Integer getCompletion() 
    {
        return completion;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public List<SrsRegInfo> getSrsRegInfoList()
    {
        return srsRegInfoList;
    }

    public void setSrsRegInfoList(List<SrsRegInfo> srsRegInfoList)
    {
        this.srsRegInfoList = srsRegInfoList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("costName", getCostName())
            .append("shouIdPayAmount", getShouIdPayAmount())
            .append("amountPaid", getAmountPaid())
            .append("deferAmount", getDeferAmount())
            .append("fromAmount", getFromAmount())
            .append("completion", getCompletion())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("srsRegInfoList", getSrsRegInfoList())
            .toString();
    }
}
